OAuth2 Token

Returns a OAuth2 token scoped for either a Organization or Project.

Follow the Authentication guide for more details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Which OAuth2 grant type to use. Currently only client_credentials is supported:

  • client_credentials: Returns access_token based on the passed scope
string
required

The ID of the API credentials to be authenticated.

string
required

The secret of the API credentials to be authenticated.

required

The requested scopes for this token.

ScopeDescription
organization.adminProvides access to Organization management endpoints.
project.adminProvides access to all endpoints that manage a Project's entities, such as Lock Connections, Locks and Keys.
string

The Organization you wish to manage with this token.

Only required when using the organization.admin scope.

string

The Project you wish to manage with this token.

Only required when using the project.admin scope.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json